#
# spec file for package xml-group-manager
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xml-group-manager
Version:        20140805
Release:        6.5
Summary:        A little helper script for managing XML groups
License:        GPL-3.0
Group:          Productivity/Publishing/XML
Url:            https://github.com/Werni/xml-group-manager
Source:         %{name}-%{version}.tar.bz2
BuildArch:      noarch
Requires:       xsltproc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xml-group-manager is a little helper script for add, delete or update
groups in XML catalogs or XML files in an easy way. That means you can edit XML
files without any XML commands and without hight knowledge of the XML syntax.

%prep
%setup -q

%build

%install
%{__install} -m 0755 -D %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -m 0444 -D xslt/add-group.xsl %{buildroot}%{_datadir}/%{name}/xslt/add-group.xsl
%{__install} -m 0444 -D xslt/delete-group.xsl %{buildroot}%{_datadir}/%{name}/xslt/delete-group.xsl
%{__install} -m 0444 -D xslt/update-group.xsl %{buildroot}%{_datadir}/%{name}/xslt/update-group.xsl
%{__install} -m 0444 -D xslt/init-group.xsl %{buildroot}%{_datadir}/%{name}/xslt/init-group.xsl
%{__install} -m 0644 -D man/%{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%defattr(-,root,root)
%doc README.md
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Aug  6 2014 rsalevsky@suse.com
- remove daps as build require
* Tue Aug  5 2014 rsalevsky@suse.com
- 20140805:
  * insert new groups uppermost
* Wed Mar 26 2014 rsalevsky@suse.com
- initial package creation
